﻿@model eCommerce.UI.ViewModels.OrderDetailViewModel
@using eCommerce.Services.Utils

<div orderdetailid="@Model.OrderDetailId" class="row no-margin cart-item">
    
    <div class="col-xs-12 col-sm-2 no-margin">        
        <a href="/@Utility.CataloguePrefix/@Model.CategorySeoUrl/@Model.SeoUrl" class="thumb-holder" style="width:80px;height:80px;">
            <img class="lazy" alt="" src="@Model.ProductImageResized" />
        </a>
    </div>
    <div class="col-xs-12 col-sm-3 ">
        <div class="title">
            <a href="/@Utility.CataloguePrefix/@Model.CategorySeoUrl/@Model.SeoUrl">@Model.Title</a><br />
            Talle: @Model.SizeDescription <br />Color: @Model.ColorDescription
        </div>
        <div class="brand">@Model.ProductBrand</div>
    </div>
    <div class="col-xs-12 col-sm-2 no-margin">
    <div id="preciounitario-@Model.OrderDetailId" class="price cart-price">$@((Model.Price).ToString("N"))</div>
</div>
    <div class="col-xs-12 col-sm-3 no-margin">
        <div class="quantity">
            <div class="le-quantity">
                <input disabled type="text" onkeydown="handleOnKeyDown(@Model.OrderDetailId)" name="cantidadvalue-@Model.OrderDetailId" id="cantidad-@Model.OrderDetailId" value="@Model.Quantity" maxlength="3" title="Cantidad" onchange="handleOnChange('@Model.OrderDetailId'); " />
            </div>
        </div>
    </div>

    <div class="col-xs-12 col-sm-2 no-margin">
        <div id="subtotal-@Model.OrderDetailId" class="price subtotal">$@((Model.Price * Model.Quantity).ToString("N"))</div>
        <div  class="availability">
            <label>Stock:</label>
            @switch (Model.Stock)
            {
                case "Disponible":
                    <span id="disponibilidad-@Model.OrderDetailId" class="available">@Model.Stock</span>
                    break;
                case "Parcial":
                    <span id="disponibilidad-@Model.OrderDetailId" class="partial-available">@Model.Stock</span>
                    break;
                case "No disponible":
                    <span id="disponibilidad-@Model.OrderDetailId" class="not-available">@Model.Stock</span>
                    break;
            }
        </div>
    </div>
</div>
